Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.mw.wst.common
Class CoordinationContextHelper

    java.lang.Object
      com.arjuna.mw.wst.common.CoordinationContextHelper

public class CoordinationContextHelper
extends java.lang.Object

Helper class for serialising Coordination Contexts into SOAP headers.

Author:
  kevin

Constructor Summary
`CoordinationContextHelper()`

Method Summary
`static com.arjuna.webservices.wscoor.CoordinationContextType` | `deserialise(org.w3c.dom.Element headerElement)` Deserialise a coordination context from a DOM SOAP Header Element.
`static com.arjuna.webservices.wscoor.CoordinationContextType` | `deserialise(javax.xml.soap.SOAPEnvelope env, javax.xml.soap.SOAPHeaderElement headerElement)` Deserialise a coordination context from a SAAJ SOAP Header Element.
`static void` | `serialise(org.w3c.dom.Element headerElement, com.arjuna.webservices.wscoor.CoordinationContextType coordinationContext)` Serialise a coordination context to a DOM SOAP Header Element.
`static void` | `serialise(javax.xml.soap.SOAPEnvelope env, javax.xml.soap.SOAPHeaderElement headerElement, com.arjuna.webservices.wscoor.CoordinationContextType coordinationContext)` Serialise a coordination context to a SAAJ SOAP Header Element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoordinationContextHelper

    public CoordinationContextHelper()

Method Detail

### serialise

    public static void serialise(javax.xml.soap.SOAPEnvelope env,
                                 javax.xml.soap.SOAPHeaderElement headerElement,
                                 com.arjuna.webservices.wscoor.CoordinationContextType coordinationContext)
                          throws javax.xml.stream.XMLStreamException

  Serialise a coordination context to a SAAJ SOAP Header Element.

  Parameters:
    `env` - The SOAP envelope.
    `headerElement` - The SOAP header element to populate.
    `coordinationContext` - The coordination context.
  Throws:
    `javax.xml.stream.XMLStreamException` - for errors during parsing.

### deserialise

    public static com.arjuna.webservices.wscoor.CoordinationContextType deserialise(javax.xml.soap.SOAPEnvelope env,
                                                                                    javax.xml.soap.SOAPHeaderElement headerElement)
                                                                             throws javax.xml.stream.XMLStreamException

  Deserialise a coordination context from a SAAJ SOAP Header Element.

  Parameters:
    `env` - The SOAP envelope.
    `headerElement` - The SOAP header element to deserialise.
  Returns:
    The coordination context.
  Throws:
    `javax.xml.stream.XMLStreamException` - for errors during parsing.

### serialise

    public static void serialise(org.w3c.dom.Element headerElement,
                                 com.arjuna.webservices.wscoor.CoordinationContextType coordinationContext)
                          throws javax.xml.stream.XMLStreamException

  Serialise a coordination context to a DOM SOAP Header Element.

  Parameters:
    `headerElement` - The SOAP header element to populate.
    `coordinationContext` - The coordination context.
  Throws:
    `javax.xml.stream.XMLStreamException` - for errors during parsing.

### deserialise

    public static com.arjuna.webservices.wscoor.CoordinationContextType deserialise(org.w3c.dom.Element headerElement)
                                                                             throws javax.xml.stream.XMLStreamException

  Deserialise a coordination context from a DOM SOAP Header Element.

  Parameters:
    `headerElement` - The SOAP header element to deserialise.
  Returns:
    The coordination context.
  Throws:
    `javax.xml.stream.XMLStreamException` - for errors during parsing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD